<?
#####################################################
### Модуль: /main_classes.php
### Version: 3.2
#####################################################

# Константа запрещает выполнение ini_set
define('DENY_INI_SET',false);

if (!defined('DENY_INI_SET') || (defined('DENY_INI_SET') && !DENY_INI_SET))
{
	# Включаем вывод ошибок вместе с результатом работы скрипта
	ini_set('display_errors', 1);
}

# Решение проблемы trict Standards: Implicit cloning object of class 'kernel' because of 'zend.ze1_compatibility_mode'
/*
if (!defined('DENY_INI_SET') || (defined('DENY_INI_SET') && !DENY_INI_SET))
{
	ini_set('zend.ze1_compatibility_mode', 0);
}
*/

if (function_exists('date_default_timezone_set'))
{
	date_default_timezone_set("Etc/GMT-4");
}

require_once("config.php");

require_once(CMS_FOLDER."modules/Kernel/Kernel.php");

# Устанавливаем локаль для Windows машин
# setlocale (LC_ALL, array ('ru_RU.CP1251','rus_RUS.1251'));

/**
 * Используется при отображении ??? в резульатае работы системы при использовании MySQL 4.1 *
 */

mysql_query ("SET NAMES cp1251");
mysql_query ("SET SESSION character_set_results=cp1251");
mysql_query ("set collation_connection='cp1251_general_ci'");
mysql_query ("set character_set_results='cp1251'");
mysql_query ("set character_set_client='cp1251'");


/**
 * Метод удаляет добавленные слэши при magic_quotes_gpc = on и невозможности 
 * отключить через директивы php_flag *
 */
$GLOBALS['kernel']->strips();

require_once(CMS_FOLDER."modules/admin_output.fns.php");

require_once(CMS_FOLDER."modules/show_table.class.php");
?>